org.appng.xml.platform

## Class PageDefinition

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.PageDefinition

- All Implemented Interfaces:
    Serializable

      public class PageDefinition
      extends BaseObject
      implements Serializable

  Defines a page including its `StructureDef` and `PageConfig`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PageConfig` | `config`
    `protected String` | `id`
    `protected StructureDef` | `structure`
    `protected String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageDefinition()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PageConfig` | `getConfig()` Gets the value of the config property.
    `String` | `getId()` The unique id of the page.
    `StructureDef` | `getStructure()` Gets the value of the structure property.
    `String` | `getType()` The type of the page, currently only 'index' is supported.
    `void` | `setConfig(PageConfig value)` Sets the value of the config property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setStructure(StructureDef value)` Sets the value of the structure property.
    `void` | `setType(String value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### config

          protected PageConfig config

    - #### structure

          protected StructureDef structure

    - #### id

          protected String id

    - #### type

          protected String type

  - ### Constructor Detail

    - #### PageDefinition

          public PageDefinition()

  - ### Method Detail

    - #### getConfig

          public PageConfig getConfig()

      Gets the value of the config property.
      Returns:
        possible object is `PageConfig`

    - #### setConfig

          public void setConfig(PageConfig value)

      Sets the value of the config property.
      Parameters:
        `value` - allowed object is `PageConfig`

    - #### getStructure

          public StructureDef getStructure()

      Gets the value of the structure property.
      Returns:
        possible object is `StructureDef`

    - #### setStructure

          public void setStructure(StructureDef value)

      Sets the value of the structure property.
      Parameters:
        `value` - allowed object is `StructureDef`

    - #### getId

          public String getId()

      The unique id of the page.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public String getType()

      The type of the page, currently only 'index' is supported.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.